#pragma once

#include <glm/glm.hpp>
#include <glm/gtc/matrix_transform.hpp>
#include <math.h>

struct Camera {
    glm::vec3 position;
    float pitch, yaw, roll;

    Camera(glm::vec3 pos);
    glm::vec3 get_direction() const;
    glm::vec3 get_front() const;
    glm::vec3 get_flat_front();
    glm::vec3 get_right() const;
    glm::mat4 get_view() const;
};
