#version 330 core

in vec3 world_pos;
in vec3 normal;
in vec3 vertex_col;

vec3 light_pos = vec3(2.0);
// vec3 light_col = vec3(1.0);
vec3 light_col = vertex_col;

void
main()
{
    vec3 norm = normalize(normal);

    // vec3 light_dir = normalize(light_pos - world_pos);
    vec3 light_dir = normalize(light_pos);

    float diff = max(dot(norm, light_dir), 0.0);
    vec3 diffuse = diff * light_col;

    gl_FragColor = vec4(diffuse, 1.0);
}
