#pragma once

#include <assert.h>
#include <glm/glm.hpp>
#include "dbg.hpp"
#include "mesh.hpp"
#include "collision.hpp"
#include "shader.hpp"

struct Prop {
    Mesh mesh;
    AABB collision_box;
    glm::vec3 position;

    Prop(const std::vector<GLfloat> &vertices, Shader *shader, glm::vec3 pos);
    void draw() const;
};
