#include "collision.hpp"

AABB::AABB(glm::vec3 min_, glm::vec3 max_) : min(min_), max(max_) {}
AABB::AABB() : min(0), max(0) {}

bool
intersect(const AABB &a, const AABB &b)
{
    return (a.min.x <= b.max.x && a.max.x >= b.min.x) &&
        (a.min.y <= b.max.y && a.max.y >= b.min.y) &&
        (a.min.z <= b.max.z && a.max.z >= b.min.z);
}
