#pragma once

#include "u.hpp"
#include "shader.hpp"
#include <memory>
#include <vector>
#include <stdio.h>

std::vector<float> load_obj(const std::string &path);

struct Mesh {
    u32 vao;
    u32 vbo;
    u32 vertex_num;

    std::shared_ptr<Shader> shader;

    Mesh(const std::vector<GLfloat> &vertices, Shader *s);
    ~Mesh();
    void draw() const;
};
